Subject: Re: Getting git to help my memory

From: Paul Ebermann <[email-masked]>
Date: Wed, 06 Jul 2011 00:08:37 +0200

Evan Driscoll schrieb:
> I have a somewhat unusual question. I often forget to push after committing,
> and a few times this has come back to bite me. (One time I didn't even really
> realize for a couple months because I was working on other stuff, so
> unraveling the conflicts was "fun".)
> 
> Is there a way I can get git to print a "don't forget to push!" reminder
> after it commits?
> 
> The best way I can think of is to put a post-commit hook in there. I haven't
> tried it but I'd assume it would work, but would have to be on a
> per-repository basis instead of global.

Yes, I just tried this. Here is the output (from adding a file in the test branch):

---
$ git commit 
Don't forget to push!
[test ceabc34] adding test.txt.
 1 files changed, 1 insertions(+), 0 deletions(-)
 create mode 100644 test.txt
---

The output is a bit hidden here. Maybe coloring would help here a bit.

Is it really intentional that post-commit is called
*before* the informational output here?

I have no idea on how to automatically add the hooks to all
the repositories - AFAIK git clone will not copy these.

Paŭlo